From: Jonathan E Brassow <jbrassow@redhat.com>

Fix dm-raid flush support.

Both md and dm have support for flush, but the dm-raid target
forgot to set the flag to indicate that flushes should be
passed on.  (Important for data integrity e.g. with writeback cache 
enabled.)

Signed-off-by: Jonathan Brassow <jbrassow@redhat.com>
Acked-by: Mike Snitzer <snitzer@redhat.com>
Cc: stable@kernel.org
Signed-off-by: Alasdair G Kergon <agk@redhat.com>

---
 drivers/md/dm-raid.c |    1 +
 1 file changed, 1 insertion(+)

Index: linux-3.3-rc6/drivers/md/dm-raid.c
===================================================================
--- linux-3.3-rc6.orig/drivers/md/dm-raid.c
+++ linux-3.3-rc6/drivers/md/dm-raid.c
@@ -975,6 +975,7 @@ static int raid_ctr(struct dm_target *ti
 
 	INIT_WORK(&rs->md.event_work, do_table_event);
 	ti->private = rs;
+	ti->num_flush_requests = 1;
 
 	mutex_lock(&rs->md.reconfig_mutex);
 	ret = md_run(&rs->md);
